Skip to main content
This section wires the OpenAPI endpoints for subscriptions and subscription plans. For workflow, lifecycle, webhooks and status semantics, see the Essentials -> Subscriptions guide.

Subscription Plans

Manage subscription plans available to customers:
POST /subscriptions/plans GET /subscriptions/plans GET /subscriptions/plans/{planId} PATCH /subscriptions/plans/{planId} DELETE /subscriptions/plans/{planId}

Customer Subscriptions

Create and manage subscriptions for individual customers:
POST /subscriptions GET /subscriptions/{subscriptionId} GET /subscriptions/customer/{customerId} POST /subscriptions/{subscriptionId}/cancel
Endpoints are implemented and described in the OpenAPI specification — use the interactive API reference (try the endpoints) to view request/response schemas.